CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Recommended modules
 * Installation
 * Support requests
 * Maintainers


INTRODUCTION
------------

* This project is part of the [Drupal Social Initiative](https://groups.drupal.org/social-initiative).

* The Social API harmonizes social networking services in Drupal,
  providing an extensible module that allows integration of modules
  for user login, autoposting, and social widgets.

* Social API aims to abstract parameters for communicating with various social
  networking services.

* For a full description of the module, visit the project page:
  [https://www.drupal.org/project/social_api])https://www.drupal.org/project/social_api_

* To submit bug reports and feature suggestions, or to track changes:
  [https://drupal.org/project/issues/social_api](https://drupal.org/project/issues/social_api)


RECOMMENDED MODULES
-------------------

* [Social Auth](https://www.drupal.org/project/social_auth):
  Implements methods and templates that will be used by login-related modules.

* [Social Post](https://www.drupal.org/project/social_post):
  Provides methods to allow autoposting to social network accounts.

* [Social Widgets](https://www.drupal.org/project/social_widgets):
  Allows sub-modules to add functionality to add widgets (like buttons, embedded
  content) to node, blocks, etc.


INSTALLATION
------------

Install as you would normally install a contributed Drupal module. See
[Installing Modules](https://www.drupal.org/docs/extending-drupal/installing-modules)
for details.


SUPPORT REQUESTS
----------------

Before posting a support request, carefully read the installation
instructions provided in module documentation page.

Before posting a support request, check Recent log entries at
admin/reports/dblog.

Once you have done this, you can post a support request at module issue queue:
[https://www.drupal.org/project/issues/social_auth](https://www.drupal.org/project/issues/social_auth)

When posting a support request, please inform what does the status report say
at admin/reports/dblog and if you were able to see any errors in
Recent log entries.


MAINTAINERS
-----------

Current maintainers:

 * [Christopher C. Wells (wells)](https://www.drupal.org/u/wells)

Development sponsored by:

 * [Cascade Public Media](https://www.drupal.org/cascade-public-media)
